package com.example.nto.controller;

import com.example.nto.dto.EmployeeDTO;
import com.example.nto.dto.UserRegisterDTO;
import com.example.nto.entity.Employee;
import com.example.nto.service.EmployeeService;
import io.swagger.models.Response;
import lombok.RequiredArgsConstructor;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.security.core.Authentication;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/api/employees")
@RequiredArgsConstructor
public class EmployeeController {

    private final EmployeeService employeeService;


    @GetMapping("/{login}")
    @ResponseStatus(HttpStatus.OK)
    public ResponseEntity<String> findByLogin(@PathVariable String login) {
        if (employeeService.findExistByLogin(login)) {
            return ResponseEntity.ok("Done");
        } else return ResponseEntity.badRequest().body("User is not found");
    }

    @GetMapping("/login")
    public ResponseEntity<EmployeeDTO> login(Authentication authentication) {
        System.out.println("out" + authentication.getAuthorities());
        return ResponseEntity.ok(employeeService.getUserByUsername(authentication.getName()));
    }
}
